VkDrawIndexedIndirectCommand Struct Reference

`#include <vulkan.h>`

## Data Fields

uint32_t | indexCount
uint32_t | instanceCount
uint32_t | firstIndex
int32_t | vertexOffset
uint32_t | firstInstance

## Detailed Description

Definition at line 2459 of file vulkan.h.

## Field Documentation

## firstIndex

uint32_t VkDrawIndexedIndirectCommand::firstIndex

Definition at line 2462 of file vulkan.h.

## firstInstance

uint32_t VkDrawIndexedIndirectCommand::firstInstance

Definition at line 2464 of file vulkan.h.

## indexCount

uint32_t VkDrawIndexedIndirectCommand::indexCount

Definition at line 2460 of file vulkan.h.

## instanceCount

uint32_t VkDrawIndexedIndirectCommand::instanceCount

Definition at line 2461 of file vulkan.h.

## vertexOffset

int32_t VkDrawIndexedIndirectCommand::vertexOffset

Definition at line 2463 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h